
#!/bin/sh
# Needed when not run in standard shell environment
#export CPCT_PATH=~/Quellcode/dev-cpctelera/cpctelera

## PARA PASAR .rel to .bin!!! 
## sdcc map1.rel --no-std-crt0 && hex2bin map1.ihx


rasm="usound/utils/arkos2tracker/rasm"
at2disark="usound/utils/arkos2tracker/Disark"
name=$(basename $(pwd))

#: ${BUILD_TIME:="YES"}    	   # CHECKS FOR BUILD TIME
: ${CONVERT_MUSIC:="YES"}     # IF NEED TO CONVERT MUSIC AGAIN

# // en scr/sound/At2Files.asm

# // añadir SONG_START:
# //	  _SONG_START::

# // SFX_SOUNDEFFECTS:
# // _SFX_SOUNDEFFECTS::  



#clear # CLEARS SCREEN


if [ -v BUILD_TIME ]; then


# Fecha para saber cuando empezó el build
date
echo ; echo ; echo 

fi




# DO IF MUSIC NEEDS TO BE CONVERTED ON THIS BUILD

if [ -v CONVERT_MUSIC ]; then

# Prepare Arkos Tracker 2 song & sfx.
${rasm} usound/assets/arkos2/CompileAT2Files.asm usound/assets/arkos2/UniversalAt2Files -s -sl -sq  ## .asm to .bin
"${at2disark}" usound/assets/arkos2/UniversalAt2Files.bin usound/sources/At2Files.asm --symbolFile usound/assets/arkos2/UniversalAt2Files.sym --sourceProfile winape


# ESTA PARTE NO LA NECESITO
# Add assembly code to player functions called externally to be conformant with __z88dk_callee
#sed -i -e 's/_PLY_AKM_INIT::/_PLY_AKM_INIT::\npop af\npop hl\npop bc\npush af\nld a, c/g' -e 's/_PLY_AKM_PLAYSOUNDEFFECT::/_PLY_AKM_PLAYSOUNDEFFECT::\npop af\npop hl\npop bc\npush af\nld a,l\n/g' src/sound/At2Files.s


# else

# make clean
# make cleanall 
# make 


fi




# Fecha para saber cuando terminó

if [ -v BUILD_TIME ]; then

#: ${BUILD_TIME="SCHOOL?"} 

# Fecha para saber cuando empezó el build
date
echo ; echo ; echo 

fi


# ONLY LAUNCH IF NO MUSIC CONVERTED ON THIS BUILD

# if [ ! -v CONVERT_MUSIC ]; then
# cpct_winape ${name}.sna
# fi
