; New song, Song part, encoded in the AKM (minimalist) format V0.


SONG_Start
SONG_StartDisarkGenerateExternalLabel

SONG_DisarkPointerRegionStart0
	dw SONG_InstrumentIndexes	; Index table for the Instruments.
SONG_DisarkForceNonReferenceDuring2_1
	dw 0	; Index table for the Arpeggios.
SONG_DisarkForceNonReferenceDuring2_2
	dw 0	; Index table for the Pitches.

; The subsongs references.
	dw SONG_Subsong0
SONG_DisarkPointerRegionEnd0

; The Instrument indexes.
SONG_InstrumentIndexes
SONG_DisarkPointerRegionStart3
	dw SONG_Instrument0
	dw SONG_Instrument1
SONG_DisarkPointerRegionEnd3

; The Instrument.
SONG_DisarkByteRegionStart4
SONG_Instrument0
	db 255	; Speed.

SONG_Instrument0Loop	db 0	; Volume: 0.

	db 4	; End the instrument.
SONG_DisarkPointerRegionStart5
	dw SONG_Instrument0Loop	; Loops.
SONG_DisarkPointerRegionEnd5

SONG_Instrument1
	db 0	; Speed.

	db 61	; Volume: 15.

	db 57	; Volume: 14.

	db 53	; Volume: 13.

	db 49	; Volume: 12.

	db 45	; Volume: 11.

	db 41	; Volume: 10.

	db 37	; Volume: 9.

	db 33	; Volume: 8.

	db 29	; Volume: 7.

	db 25	; Volume: 6.

	db 21	; Volume: 5.

	db 17	; Volume: 4.

	db 13	; Volume: 3.

	db 9	; Volume: 2.

	db 5	; Volume: 1.

	db 4	; End the instrument.
SONG_DisarkPointerRegionStart6
	dw SONG_Instrument0Loop	; Loop to silence.
SONG_DisarkPointerRegionEnd6

SONG_DisarkByteRegionEnd4
SONG_ArpeggioIndexes
SONG_DisarkPointerRegionStart7
SONG_DisarkPointerRegionEnd7

SONG_DisarkByteRegionStart8
SONG_DisarkByteRegionEnd8

SONG_PitchIndexes
SONG_DisarkPointerRegionStart9
SONG_DisarkPointerRegionEnd9

SONG_DisarkByteRegionStart10
SONG_DisarkByteRegionEnd10

; New song, Subsong 0.
; ----------------------------------

SONG_Subsong0
SONG_Subsong0DisarkPointerRegionStart0
	dw SONG_Subsong0_NoteIndexes	; Index table for the notes.
	dw SONG_Subsong0_TrackIndexes	; Index table for the Tracks.
SONG_Subsong0DisarkPointerRegionEnd0

SONG_Subsong0DisarkByteRegionStart1
	db 6	; Initial speed.

	db 1	; Most used instrument.
	db 0	; Second most used instrument.

	db 1	; Most used wait.
	db 3	; Second most used wait.

	db 0	; Default start note in tracks.
	db 0	; Default start instrument in tracks.
	db 0	; Default start wait in tracks.

	db 13	; Are there effects? 12 if yes, 13 if not. Don't ask.
SONG_Subsong0DisarkByteRegionEnd1

; The Linker.
SONG_Subsong0DisarkByteRegionStart2
; Pattern 0
SONG_Subsong0_Loop
	db 170	; State byte.
	db 63	; New height.
	db 128	; New track (0) for channel 1, as a reference (index 0).
	db ((SONG_Subsong0_Track1 - ($ + 2)) & #ff00) / 256	; New track (1) for channel 2, as an offset. Offset MSB, then LSB.
	db ((SONG_Subsong0_Track1 - ($ + 1)) & 255)
	db 128	; New track (0) for channel 3, as a reference (index 0).

; Pattern 1
	db 32	; State byte.
	db ((SONG_Subsong0_Track2 - ($ + 2)) & #ff00) / 256	; New track (2) for channel 2, as an offset. Offset MSB, then LSB.
	db ((SONG_Subsong0_Track2 - ($ + 1)) & 255)

	db 1	; End of the Song.
	db 0	; Speed to 0, meaning "end of song".
SONG_Subsong0DisarkByteRegionEnd2
SONG_Subsong0DisarkPointerRegionStart3
	dw SONG_Subsong0_Loop

SONG_Subsong0DisarkPointerRegionEnd3
; The indexes of the tracks.
SONG_Subsong0_TrackIndexes
SONG_Subsong0DisarkPointerRegionStart4
	dw SONG_Subsong0_Track0	; Track 0, index 0.
SONG_Subsong0DisarkPointerRegionEnd4

SONG_Subsong0DisarkByteRegionStart5
SONG_Subsong0_Track0
	db 205	; New wait (127).
	db 127	;   Escape wait value.

SONG_Subsong0_Track1
	db 147	; Primary instrument (1). Note reference (3). Secondary wait (3).
	db 84	; Primary instrument (1). Note reference (4). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 208	; Primary instrument (1). Note reference (0). New wait (7).
	db 7	;   Escape wait value.
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 146	; Primary instrument (1). Note reference (2). Secondary wait (3).
	db 81	; Primary instrument (1). Note reference (1). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 85	; Primary instrument (1). Note reference (5). Primary wait (1).
	db 147	; Primary instrument (1). Note reference (3). Secondary wait (3).
	db 84	; Primary instrument (1). Note reference (4). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 16	; Primary instrument (1). Note reference (0). 
	db 81	; Primary instrument (1). Note reference (1). Primary wait (1).
	db 145	; Primary instrument (1). Note reference (1). Secondary wait (3).
	db 145	; Primary instrument (1). Note reference (1). Secondary wait (3).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 85	; Primary instrument (1). Note reference (5). Primary wait (1).
	db 209	; Primary instrument (1). Note reference (1). New wait (127).
	db 127	;   Escape wait value.

SONG_Subsong0_Track2
	db 147	; Primary instrument (1). Note reference (3). Secondary wait (3).
	db 84	; Primary instrument (1). Note reference (4). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 208	; Primary instrument (1). Note reference (0). New wait (7).
	db 7	;   Escape wait value.
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 80	; Primary instrument (1). Note reference (0). Primary wait (1).
	db 146	; Primary instrument (1). Note reference (2). Secondary wait (3).
	db 81	; Primary instrument (1). Note reference (1). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 85	; Primary instrument (1). Note reference (5). Primary wait (1).
	db 147	; Primary instrument (1). Note reference (3). Secondary wait (3).
	db 84	; Primary instrument (1). Note reference (4). Primary wait (1).
	db 82	; Primary instrument (1). Note reference (2). Primary wait (1).
	db 16	; Primary instrument (1). Note reference (0). 
	db 81	; Primary instrument (1). Note reference (1). Primary wait (1).
	db 145	; Primary instrument (1). Note reference (1). Secondary wait (3).
	db 145	; Primary instrument (1). Note reference (1). Secondary wait (3).
	db 94	; Primary instrument (1). New escaped note: 33. Primary wait (1).
	db 33	;   Escape note value.
	db 81	; Primary instrument (1). Note reference (1). Primary wait (1).
	db 223	; Primary instrument (1). Same escaped note: 33. New wait (127).
	db 127	;   Escape wait value.

SONG_Subsong0DisarkByteRegionEnd5
; The note indexes.
SONG_Subsong0_NoteIndexes
SONG_Subsong0DisarkByteRegionStart6
	db 43	; Note for index 0.
	db 36	; Note for index 1.
	db 41	; Note for index 2.
	db 38	; Note for index 3.
	db 45	; Note for index 4.
	db 40	; Note for index 5.
SONG_Subsong0DisarkByteRegionEnd6

